> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Subscriptions

Returns a map of Subscription names to Subscription objects associated with an Account, or an empty object if none have been created.

## Path Parameters

## Returns

Returns a map of Subscription names to Subscription objects.

```bash cURL theme={null}
curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .subscriptions
  .list();
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .subscriptions
  .list()
```

```json theme={null}
{
  "transactions": {
    "id": "sub_P8c4bjj6xajxF",
    "name": "transaction",
    "status": "active",
    "payload": null,
    "latest_request_id": "txn_GBCW694AEgfAh",
    "created_at": "2024-04-10T22:14:22.420Z",
    "updated_at": "2024-04-10T22:14:22.420Z"
  },
  "update": {
    "id": "sub_xM4VcfRWcJP8D",
    "name": "update",
    "status": "active",
    "payload": null,
    "latest_request_id": "upt_TXDTR7Amyz7Az",
    "created_at": "2024-04-10T22:14:21.951Z",
    "updated_at": "2024-04-10T22:14:21.951Z"
  },
  "update.snapshot": {
    "id": "sub_Hm8QxhIAtLP2k",
    "name": "update.snapshot",
    "status": "active",
    "payload": null,
    "latest_request_id": "upt_YXZTR7Bnxq3Cw",
    "created_at": "2024-04-10T22:14:20.832Z",
    "updated_at": "2024-04-10T22:14:20.832Z"
  },
  "card_brand": {
    "id": "sub_P8c4bjj6xajxF",
    "name": "card_brand",
    "status": "active",
    "payload": null,
    "latest_request_id": "crbd_GBCW694AEgfAh",
    "created_at": "2024-04-10T22:14:22.420Z",
    "updated_at": "2024-04-10T22:14:22.420Z"
  },
  "payment_instrument": {
    "id": "sub_P8c4bjj6xajxF",
    "name": "payment_instrument",
    "status": "active",
    "payload": null,
    "latest_request_id": "pmt_inst_GBCW694AEgfAh",
    "created_at": "2024-04-10T22:14:22.420Z",
    "updated_at": "2024-04-10T22:14:22.420Z"
  },
  "attribute": {
    "id": "sub_NgRfNvCbBkqWm",
    "name": "attribute",
    "status": "active",
    "payload": null,
    "latest_request_id": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:02:47.910Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.